
body {
    margin: 0;
    padding: 0;
    background-color:rgb(190, 186, 186);
    width: 100%;
   
}

header {
    display: flex;
    position: relative;
    justify-content: space-between;
    height: 200px;
    background: linear-gradient(
        hsl(0 0% 0% /1),
        hsl(0 0% 0% /0)
    );
    z-index: 2;
}

.socialContainer button {
    position: relative;

    bottom: 15px;
    margin-left: 15px;
    padding: .5rem;
    background-color: rgb(207, 27, 3);
    text-decoration: none;
    color: white;
    font-family: 'Raleway', sans-serif;
    font-weight: 900;
    border-radius: .5em;
    border: 2px solid rgb(252, 251, 251); 
}

.socialContainer button:hover {
    background-color: rgb(153, 21, 4);
    cursor: pointer;
}

footer {
    display: flex;
    position: absolute;
    justify-content: space-between;
    width: 100%;
    height: 140px;
    background: linear-gradient(
        hsl(0 0% 0% /0),
        hsl(0 0% 0% /1)
    );
    z-index: 2;
    color: white;
}

.bpNike {
    margin-top: 40px;
}

.distLeague {
    margin-top: 20px;
}

footer p {
    display: inline;
}

.logo {
    padding-left: 30px;
    padding-top: 15px;
    height: 55px;
    width: 132px;;
    border-left: 1px solid white;
}

.nike {
    position: relative;
    bottom: 5px;
    padding-left: 30px;
    padding-top: 15px;
    height: 48px;
    width: 132px;
}

.cif {
    padding-right: 30px;
    padding-top: 15px;
    height: 80px;
    width: 90px;
}

.league {
    padding-right: 30px;
    padding-top: 15px;
    height: 80px;
    width: 90px;
}

#logo {
    padding-left: 30px;
    padding-top: 15px;
    height: 100px;
    width: 230px;
}


.primary-navigation {
    margin: auto;
    display: block;  
    padding: 5px;  
    text-align: center;
    font-size: 1.2em;
}

ul li {
    list-style: none;
    margin: auto;    
    display: inline-block;
    padding: 0 15px;
    position: relative;
    text-decoration: none;
    text-align: center;
    font-family: 'Raleway', sans-serif;
    font-weight: 900;
    letter-spacing: 3px;
}

li a {
    color: white;
}
  
li a:hover {
    color: #CE0C2E;
}
  
li:hover {
    cursor: pointer;
}
  
.dropdown_menu {
    visibility: hidden;
    opacity: 0;
    position: absolute;
    padding-left: 0;
    left: 0;
    display: none;
    background: linear-gradient(
        hsl(0 0% 0% /0),
        hsl(0 0% 15% /1)    
    );
    border-radius: 0 0 10px 10px;
}
  
ul li:hover > ul,
ul li ul:hover {
    visibility: visible;
    opacity: 1;
    display: block;
    min-width: 225px;
    text-align: left;
    padding-top: 20px;
    box-shadow: 0px 3px 5px -1px #ccc;
}
  
ul li ul li {
    clear: both;
    width: 100%;
    text-align: left;
    margin-bottom: 20px;
    border-style: none;
}
  
ul li ul li a:hover {
    padding-left: 10px;
    border-left: 2px solid #CE0C2E;
    transition: all 0.3s ease;
}
 
a {
    text-decoration: none;
}
   
ul li ul li a { 
    transition: all 0.3s ease; 
}
  
.socialContainer {
    position: relative;
    right: 15px;
}

.social{
    padding: 10px;
    height: 30px;
    width: 30px;
}

.socialBig {
    padding: 10px;
    height: 30px;
    width: 35px;

} 

.subIcon{
    display: none;
}

.toTop {
    
    position: relative;
    left: 1300px;
    border: 2px solid black;
    border-radius: 50%;
    margin: 10px;
    box-shadow: 0px 1px 5px 3px rgb(32, 32, 32);
    transition: .5s;
}

.toTop:hover {
    border: 2px solid #CE0C2E;
    box-shadow: 0px 1px 5px 3px #CE0C2E;
}

@media (max-width:1339px) {
    .socialContainer {
        position: absolute;
    }
    .primary-navigation{
        margin-left: 100px;
    }
}

@media (max-width:1339px) {
    .primary-navigation {
        margin-left: 0;
    }
}




@media (max-width:431px) {

    .primary-navigation {
        display: flex; 
        position: absolute;
        flex-direction: column;
        justify-content: flex-start;
        width: 200px;
        left: 50%;
        height: 844px;
        padding: 0;
        background: linear-gradient(
            hsla(0, 0%, 0%, 0.938),
            hsla(0, 0%, 50%, 0.705)    
        );
        visibility: collapse;
    }

    #mainList {
        height: 100%;
        margin: 75px 0;
        padding: 0;
    }

    #mainList li {
        width: 100%;
        margin-top: 5px;
        padding: 10px 0;
    }

    .dropdown_menu{
        border-top: 1px solid #ccc;
        border-radius: 0;
    }
    ul li ul li {
        text-align: center;
        font-size: .7em;
        margin-bottom: 5px;
    }
    ul li:hover > ul {
        visibility: hidden;
    }
    ul li ul li a {
        transition: none;
    }

    li a {
        margin-top: 20px;
    }

    .socialContainer{
        display: flex;
        position: relative;
        right: 220px;
        height: 50px;
        z-index: 2;
    }
    
    .socialContainer button {
        position: absolute;
        top: 60px;
        left: 75px;
        width: 115px;
        height: 35px;
    }

    #logo{
        margin: auto;
        padding-left: 65px;
        padding-top: 45px;   
    }

    .subIcon{
        display:inline-block;
        position: relative;
        left: 20px;
        bottom: 7px;
        padding: 10px;
        height: 45px;
        width: 45px;
        z-index: 3;
    }
    .visibleMenu {
        visibility: visible !important;
        opacity: 1;
        display: block;
        position: relative;
        min-width: 150px;
        text-align: center;
        padding-top: 20px;
        box-shadow: 0px 3px 5px -1px #ccc;
    }
    footer {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
        height: 250px;
        margin-bottom: 30px;
    }
    .nike {
        margin-left:5px;
    }
    
    .bpNike p {
        margin-left:8px;
    }
    
    .distLeague {
        margin-top:10px;
        margin-bottom:20px;
    }
    .toTop {
        left: 300px;
    }
}

@media (max-width:350px) {

    .primary-navigation {
        display: flex; 
        position: absolute;
        flex-direction: column;
        justify-content: flex-start;
        width: 190px;
        left: 39%;
        height: 844px;
        background: linear-gradient(
            hsla(0, 0%, 0%, 0.938),
            hsla(0, 0%, 50%, 0.705)    
        );
        visibility: collapse;
    }

    #mainList {
        height: 100%;
        margin: 75px 0;
        padding: 0;
    }

    #mainList li {
        width: 100%;
        margin-top: 5px;
        padding: 10px 0;
    }

    .dropdown_menu{
        border-top: 1px solid #ccc;
        border-radius: 0;
    }
    ul li ul li {
        text-align: center;
        font-size: .7em;
        margin-bottom: 5px;
    }
    ul li:hover > ul {
        visibility: hidden;
    }
    ul li ul li a {
        transition: none;
    }

    li a {
        margin-top: 20px;
    }
    .socialContainer{
        display: flex;
        position: relative;
        right: 275px;
        height: 50px;
    }

    #logo{
        position: relative;
        right: 35px;
        padding-left: 55px;
        padding-top: 45px;   
    }

    .subIcon{
        display:inline-block;
        position: relative;
        left: 20px;
        bottom: 7px;
        padding: 10px;
        height: 45px;
        width: 45px;
        z-index: 3;
    }
    .visibleMenu {
        visibility: visible !important;
        opacity: 1;
        display: block;
        position: relative;
        min-width: 150px;
        text-align: center;
        padding-top: 20px;
        box-shadow: 0px 3px 5px -1px #ccc;
    }
    footer {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
        height: 250px;
        margin-bottom: 30px;
        width: 350px;
    } 
    
    .nike, .logo {
        padding:0;
    }
    
    .toTop {
        left: 210px;
    }

   
}

.visible {
    visibility: visible;
}

